System.Runtime.Serialization 4.0.0.0 System.Xml.XmlWriter

You can derive from this class to do other functions than serialization.

Note that there is a known issue with the normalization of linefeed characters inside of CDATA sections that you may encounter.

Represents an abstract class that indigo1 derives from to do serialization and deserialization.

- Constructor
  4.0.0.0

  Invoked only by its derived classes because this class is abstract.

  Initializes a new instance of the class.

- Property
  4.0.0.0
  System.Boolean To be added.

  Returns true if and only if this derived class of can canonicalize the XML content being written to it, according to the Exclusive XML Canonicalization rules as defined in Exclusive XML Canonicalization Version 1.0.

  This property always returns false. Its derived classes can override to return true if they support canonicalization.

- Method
  4.0.0.0
  System.Xml.XmlDictionaryWriter `` To be added.

  Creates an instance of that writes indigo2 binary XML format.

  An instance of .

  The stream to write to.
- Method
  4.0.0.0
  System.Xml.XmlDictionaryWriter `` `` To be added.

  Creates an instance of that writes indigo2 binary XML format.

  An instance of .

  The stream to write to. The to use as the shared dictionary.
- Method
  4.0.0.0
  System.Xml.XmlDictionaryWriter `` `` `` To be added.

  Creates an instance of that writes indigo2 binary XML format.

  An instance of .

  The stream to write to. The to use as the shared dictionary. The to use.
- Method
  4.0.0.0
  System.Xml.XmlDictionaryWriter `` `` `` `` To be added.

  Creates an instance of that writes indigo2 binary XML format.

  An instance of .

  The stream from which to read. The to use as the shared dictionary. The to use. true to indicate that the stream is closed by the writer when done; otherwise false.
- Method
  4.0.0.0
  System.Xml.XmlDictionaryWriter `` To be added.

  Creates an instance of from an existing .

  An instance of .

  An instance of .
- Method
  4.0.0.0
  System.Xml.XmlDictionaryWriter `` `` `` `` To be added.

  Creates an instance of that writes XML in the MTOM format.

  An instance of .

  The stream to write to. The character encoding of the stream. The maximum number of bytes that are buffered in the writer. An attribute in the ContentType SOAP header.
- Method
  4.0.0.0
  System.Xml.XmlDictionaryWriter `` `` `` `` `` `` `` `` To be added.

  Creates an instance of that writes XML in the MTOM format.

  An instance of .

  The stream to write to. The character encoding of the stream. The maximum number of bytes that are buffered in the writer. The content-type of the MIME part that contains the Infoset. The MIME boundary in the message. The content-id URI of the MIME part that contains the Infoset. true to write message headers. true to indicate that the stream is closed by the writer when done; otherwise false.
- Method
  4.0.0.0
  System.Xml.XmlDictionaryWriter ``

  The text writer writes the XML in UTF-8 format.

  Creates an instance of that writes text XML.

  An instance of .

  The stream to write to.
- Method
  4.0.0.0
  System.Xml.XmlDictionaryWriter `` ``

  An instance of .

  Creates an instance of that writes text XML.

  An instance of .

  The stream to write to. The character encoding of the output.
- Method
  4.0.0.0
  System.Xml.XmlDictionaryWriter `` `` `` To be added.

  Creates an instance of that writes text XML.

  An instance of .

  The stream to write to. The character encoding of the stream. true to indicate that the stream is closed by the writer when done; otherwise false.
- Method
  4.0.0.0
  System.Void

  This method is not yet implemented.

  When implemented by a derived class, it stops the canonicalization started by the matching call.

- Method
  4.0.0.0
  System.Void `` `` ``

  This method is not yet implemented.

  When implemented by a derived class, it starts the canonicalization.

  The stream to write to. true to include comments; otherwise, false. The prefixes to be included.
- Method
  4.0.0.0
  System.Void `` `` `` `` `` `` To be added. To be added.

  Writes nodes from a array.

  The namespace prefix. The local name of the element. The namespace URI of the element. The array that contains the data. The starting index in the array.
- Method
  4.0.0.0
  System.Void `` `` `` `` `` `` To be added. To be added.

  Writes nodes from a array.

  The namespace prefix. The local name of the element. The namespace URI of the element. The array that contains the nodes. The starting index in the array.
- Method
  4.0.0.0
  System.Void `` `` `` `` `` `` To be added. To be added.

  Writes nodes from a array.

  The namespace prefix. The local name of the element. The namespace URI of the element. The array that contains the nodes. The starting index in the array.
- Method
  4.0.0.0
  System.Void `` `` `` `` `` `` To be added. To be added.

  Writes nodes from a array.

  The namespace prefix. The local name of the element. The namespace URI of the element. The array that contains the nodes. The starting index in the array.
- Method
  4.0.0.0
  System.Void `` `` `` `` `` `` To be added. To be added.

  Writes nodes from a array.

  The namespace prefix. The local name of the element. The namespace URI of the element. The array that contains the nodes. The starting index in the array.
- Method
  4.0.0.0
  System.Void `` `` `` `` `` `` To be added. To be added.

  Writes nodes from a array.

  The namespace prefix. The local name of the element. The namespace URI of the element. The array that contains the nodes. The starting index in the array.
- Method
  4.0.0.0
  System.Void `` `` `` `` `` `` To be added. To be added.

  Writes nodes from a array.

  The namespace prefix. The local name of the element. The namespace URI of the element. The array that contains the nodes. The starting index in the array.
- Method
  4.0.0.0
  System.Void `` `` `` `` `` `` To be added. To be added.

  Writes nodes from a array.

  The namespace prefix. The local name of the element. The namespace URI of the element. The array that contains the nodes. The starting index in the array.
- Method
  4.0.0.0
  System.Void `` `` `` `` `` `` To be added. To be added.

  Writes nodes from a array.

  The namespace prefix. The local name of the element. The namespace URI of the element. The array that contains the nodes. The starting index in the array.
- Method
  4.0.0.0
  System.Void `` `` `` `` `` `` To be added. To be added.

  Writes nodes from a array.

  The namespace prefix. The local name of the element. The namespace URI of the element. The array that contains the nodes. The starting index in the array.
- Method
  4.0.0.0
  System.Void `` `` `` `` `` `` To be added. To be added.

  Writes nodes from a array.

  The namespace prefix. The local name of the element. The namespace URI of the element. The array that contains the nodes. The starting index in the array.
- Method
  4.0.0.0
  System.Void `` `` `` `` `` `` To be added. To be added.

  Writes nodes from a array.

  The namespace prefix. The local name of the element. The namespace URI of the element. The array that contains the nodes. The starting index in the array.
- Method
  4.0.0.0
  System.Void `` `` `` `` `` `` To be added. To be added.

  Writes nodes from a array.

  The namespace prefix. The local name of the element. The namespace URI of the element. The array that contains the nodes. The starting index in the array.
- Method
  4.0.0.0
  System.Void `` `` `` `` `` `` To be added. To be added.

  Writes nodes from a array.

  The namespace prefix. The local name of the element. The namespace URI of the element. The array that contains the nodes. The starting index in the array.
- Method
  4.0.0.0
  System.Void `` `` `` `` `` `` To be added. To be added.

  Writes nodes from a array.

  The namespace prefix. The local name of the element. The namespace URI of the element. The array that contains the nodes. The starting index in the array.
- Method
  4.0.0.0
  System.Void `` `` `` `` `` `` To be added. To be added.

  Writes nodes from a array.

  The namespace prefix. The local name of the element. The namespace URI of the element. The array that contains the nodes. The starting index in the array.
- Method
  4.0.0.0
  System.Void `` `` `` `` `` `` To be added. To be added.

  Writes nodes from a array.

  The namespace prefix. The local name of the element. The namespace URI of the element. The array that contains the nodes. The starting index in the array.
- Method
  4.0.0.0
  System.Void `` `` `` `` `` `` To be added. To be added.

  Writes nodes from a array.

  The namespace prefix. The local name of the element. The namespace URI of the element. The array that contains the nodes. The starting index in the array.
- Method
  4.0.0.0
  System.Void `` `` `` `` `` `` To be added. To be added.

  Writes nodes from a array.

  The namespace prefix. The local name of the element. The namespace URI of the element. The array that contains the nodes. The starting index in the array.
- Method
  4.0.0.0
  System.Void `` `` `` `` `` `` To be added. To be added.

  Writes nodes from a array.

  The namespace prefix. The local name of the element. The namespace URI of the element. The array that contains the nodes. The starting index in the array.
- Method
  4.0.0.0
  System.Void `` `` `` To be added.

  Writes an attribute qualified name and value.

  The local name of the attribute. The namespace URI of the attribute. The attribute.
- Method
  4.0.0.0
  System.Void `` `` `` `` To be added.

  Writes an attribute qualified name and value.

  The prefix of the attribute. The local name of the attribute. The namespace URI of the attribute. The attribute.
- Method
  4.0.0.0
  System.Void `` `` `` To be added.

  Writes an element with a text content.

  The local name of the element. The namespace URI of the element. The element content.
- Method
  4.0.0.0
  System.Void `` `` `` `` To be added.

  Writes an element with a text content.

  The prefix of the element. The local name of the element. The namespace URI of the element. The element content.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Writes the current XML node from an .

  The . true to copy the default attributes from the XmlReader; otherwise, false.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Writes the current XML node from an .

  The . true to copy the default attributes from the ; otherwise, false.
- Method
  4.0.0.0
  System.Void `` ``

  If the namespace maps to the current default namespace, no prefix is generated.

  When writing attribute values, this method generates a prefix if the namespace is not found. When writing element content, it throws an exception if the namespace is not found.

  Writes out the namespace-qualified name. This method looks up the prefix that is in scope for the given namespace.

  The local name of the qualified name. The namespace URI of the qualified name.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Writes the start of an attribute with the specified local name, and namespace URI.

  The local name of the attribute. The namespace URI of the attribute.
- Method
  4.0.0.0
  System.Void `` `` `` To be added.

  Writes the start of an attribute with the specified prefix, local name, and namespace URI.

  The namespace prefix. The local name of the attribute. The namespace URI of the attribute.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Writes the specified start tag and associates it with the given namespace.

  The local name of the element. The namespace URI of the element.
- Method
  4.0.0.0
  System.Void `` `` `` To be added.

  Writes the specified start tag and associates it with the given namespace and prefix.

  The prefix of the element. The local name of the element. The namespace URI of the element.
- Method
  4.0.0.0
  System.Void `` To be added.

  Writes the given text content.

  The text to write.
- Method
  4.0.0.0
  System.Void `` ``

  If positioned on element content, this method advances the XmlDictionaryReader.

  Writes the text node that an is currently positioned on.

  The to get the text value from. true to indicate that the reader is positioned on an attribute value or element content; otherwise, false.
- Method
  4.0.0.0
  System.Void `` To be added. To be added.

  Writes a value.

- Method
  4.0.0.0
  System.Void `` To be added. To be added.

  Writes a value.

- Method
  4.0.0.0
  System.Void ``

  The contents of the stream provided by the IStreamProvider are written as Base64 data, unless this method is overridden in a derived class.

  For the asynchronous version of this method, see .

  Writes a value from an .

  The value to write.
- Method
  4.0.0.0
  System.Void `` To be added. To be added.

  Writes a Unique Id value.

- Method
  4.0.0.0
  System.Void `` To be added.

  Writes a value.

  The value.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Writes a standard XML attribute in the current node.

  The local name of the attribute. The value of the attribute.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Writes an XML attribute in the current node.

  The local name of the attribute. The value of the attribute.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Writes a namespace declaration attribute.

  The prefix that is bound to the given namespace. The namespace to which the prefix is bound.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Writes a namespace declaration attribute.

  The prefix that is bound to the given namespace. The namespace to which the prefix is bound.